package com.css.simulation.resource.server.app.service.job_manage;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.map.SimulationMapParam;
import api.common.pojo.vo.map.SimulationMapVO;
import com.github.pagehelper.PageInfo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface SimulationMapService {
    ResponseBodyVO<List<SimulationMapVO>> selectAllSimulationMapList(SimulationMapParam param);
    ResponseBodyVO<PageInfo<SimulationMapVO>> selectMultiSimulationMap(SimulationMapParam param);

    ResponseBodyVO<SimulationMapVO> getSimulationMap(SimulationMapParam param);

    ResponseBodyVO updateSimulationMap(SimulationMapParam param);

    ResponseBodyVO deleteSimulationMap(SimulationMapParam param);

    ResponseBodyVO uploadSimulationMap(MultipartFile fileJson,MultipartFile fileOsgb, MultipartFile fileDriver, SimulationMapParam param);

}
